#ifndef __TAPIOCA_UTILS_H__
#define __TAPIOCA_UTILS_H__

/* Convenience macro to test and set a GError/return on failure */
#define g_set_error_val_if_fail(test, returnval, error, domain, code, message) G_STMT_START{ \
 if G_LIKELY (test) {} else { \
   g_set_error (error, domain, code, message); \
   g_warning (message); \
   return (returnval); \
 } \
}G_STMT_END

#endif
